Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 751718 - net-analyzer/traceproto-1.1.2_beta1 fails to compile with -fno-common
Summary: net-analyzer/traceproto-1.1.2_beta1 fails to compile with -fno-common
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common gcc-10-stable
  Show dependency tree
 
Reported: 2020-10-29 08:47 UTC by Agostino Sarubbo
Modified: 2021-01-04 17:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,34.17 KB, text/plain)
2020-10-29 08:47 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-10-29 08:47:18 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-analyzer/traceproto-1.1.2_beta1 fails to compile with -fno-common.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
To reproduce this issue you may want to set CFLAGS="${CFLAGS} -fno-common" or compile it with gcc-10 that enables -fno-common by default.
Comment 1 Agostino Sarubbo gentoo-dev 2020-10-29 08:47:21 UTC
Created attachment 669071 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-10-29 08:47:23 UTC
Possible context of error(s):

/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_output.o: multiple definition of 'behavior'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_output.o: multiple definition of 'state'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_output.o: multiple definition of 'as_string'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_output.o: multiple definition of 'packet'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_output.o: multiple definition of 'tixe_cleanup'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_output.o: multiple definition of 'debug'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_output.o: multiple definition of 'tp_align_freelist'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_packet.o: multiple definition of 'state'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_packet.o: multiple definition of 'behavior'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_packet.o: multiple definition of 'packet'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_packet.o: multiple definition of 'tixe_cleanup'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_packet.o: multiple definition of 'tp_align_freelist'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_packet.o: multiple definition of 'debug'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_as.o: multiple definition of 'as_string'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: traceproto.o: multiple definition of 'tixe_cleanup'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: traceproto.o: multiple definition of 'behavior'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: traceproto.o: multiple definition of 'state'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: traceproto.o: multiple definition of 'packet'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: traceproto.o: multiple definition of 'tp_align_freelist'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: traceproto.o: multiple definition of 'debug'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: traceproto.o: multiple definition of 'as_string'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld.gold: error: tp_output.o: multiple definition of 'behavior'
Comment 3 Larry the Git Cow gentoo-dev 2021-01-04 17:22:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4716e4f1bebc10f9962edc66b1faecda1b02ba8

commit c4716e4f1bebc10f9962edc66b1faecda1b02ba8
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-01-04 17:21:38 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-01-04 17:21:38 +0000

    net-analyzer/traceproto: fix build with -fno-common, EAPI 7
    
    Closes: https://bugs.gentoo.org/751718
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 .../files/traceproto-1.1.2_beta1-fno-common.patch  | 122 +++++++++++++++++++++
 .../traceproto/traceproto-1.1.2_beta1.ebuild       |  20 ++--
 2 files changed, 135 insertions(+), 7 deletions(-)